# Class DxfToGeoJsonLineMapper

Handles DXF LINE, ARC, POLYLINE, and LWPOLYLINE entity parsing and converts them into corresponding GeoJSON line features.

#####
Index

### Constructors

constructor

### Properties

dxfContext

### Methods

lineToGeoJSON
processArc
processLine
processLWPolyline
processPolyline

##
Constructors

### constructor

- new DxfToGeoJsonLineMapper(dxfContext): DxfToGeoJsonLineMapper

- #### Parameters

  - dxfContext: IDxfJsonComponentContext

  #### Returns DxfToGeoJsonLineMapper

##
Properties

### dxfContext

dxfContext: IDxfJsonComponentContext

##
Methods

### lineToGeoJSON

- lineToGeoJSON(): void

- Converts parsed DXF line features into a GeoJSONLayer and appends it to the dxfContext collection.

  #### Returns void

### processArc

- processArc(entity): Promise<void>

- #### Parameters

  - entity: IArcEntity

  #### Returns Promise<void>

### processLine

- processLine(entity): Promise<void>

- #### Parameters

  - entity: ILineEntityExtended

  #### Returns Promise<void>

### processLWPolyline

- processLWPolyline(entity): Promise<void>

- #### Parameters

  - entity: ILwpolylineEntityExtended

  #### Returns Promise<void>

### processPolyline

- processPolyline(entity): Promise<void>

- #### Parameters

  - entity: IPolylineEntityExtended

  #### Returns Promise<void>